<?php
/**
 * QUBER
 * This program is free software: you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation,
 * either version 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *@author CU3ER
 *@copyright (C) 2009 CU3ER
 *@link http://www.cu3er.com/ Official website
**/
defined('_JEXEC') or die('Restricted access!');
global $mainframe;
jimport('joomla.filesystem.file');
$realw = JURI::base();
$embedjs = $params->get('embedjs');
switch ($embedjs) {
    case 'yes':
    	$usehtml = 'no';
    	$document = &JFactory::getDocument();
        $jsurl = $realw . "modules/mod_cu3er/elements/swfobject.js";
        $document->addScript($jsurl);
        break;
    case 'no':
        $usehtml = 'yes';
    	break;
}
$cu3ermainw = $params->get("cu3ermainw");
$cu3ermainh = $params->get("cu3ermainh");
$cu3ersymb = $params->get("cu3ersymb");
$cu3ertitsz = $params->get("cu3ertitsz");
$cu3ertitcol = str_replace('#', '', $params->get("cu3ertitcol"));
$cu3erdescsz = $params->get("cu3erdescsz");
$cu3erdesccol = str_replace('#', '', $params->get("cu3erdesccol"));
$cu3erslice = $params->get("cu3erslice");
$cu3ersldir = $params->get("cu3ersldir");
$cu3erpanw = $params->get("cu3erpanw");
$cu3erpanh = $params->get("cu3erpanh");
$cu3ermarl = $params->get("cu3ermarl");
$cu3ermart = $params->get("cu3ermart");
$xpos = $cu3ermainw - 25;
$pbposx = 15;
$pbposy = $cu3ermainh / 2;
$nbposx = $cu3ermainw - 15;
$nbposy = $cu3ermainh / 2;
$xmlfile = JPATH_BASE . "/modules/mod_cu3er/elements/cu3er.xml";
$playlist = '<?xml version="1.0" encoding="utf-8"?>' . "\n";
$playlist .= '
<cu3er>
  <settings>
		<auto_play>
			<defaults symbol="'.$cu3ersymb.'" />
			<tweenIn x="'. $xpos .'" y="25" width="25" height="25" tint="0xFFFFFF" alpha="0.9"/>
		</auto_play>
		<prev_button>
			<tweenIn x="'.$pbposx.'" y="'. $pbposy .'" width="30" height="30" alpha="0" />
			<tweenOver alpha="0" />
		</prev_button>
		<next_button>
			<tweenIn x="'.$nbposx.'" y="'.$nbposy.'" width="30" height="30" alpha="0" />
			<tweenOver alpha="0" />
		</next_button>
		<prev_symbol>
			<defaults type="3" />
			<tweenIn x="'.$pbposx.'" y="'. $pbposy .'" alpha="0.5" />
			<tweenOver time="0.15" x="'.$pbposx.'" scaleX="1.1" scaleY="1.1" />
		</prev_symbol>
		<next_symbol>
			<defaults type="3" />
			<tweenIn x="'.$nbposx.'" y="'.$nbposy.'" alpha="0.5"/>
			<tweenOver time="0.15" x="'.$nbposx.'" scaleX="1.1" scaleY="1.1" />
		</next_symbol>
		<description>
			<defaults
				round_corners="10, 10, 10, 10"
				heading_text_size="'.$cu3ertitsz.'"
				heading_text_color="0x'.$cu3ertitcol.'"
				paragraph_text_size="'.$cu3erdescsz.'"
				paragraph_text_color="0x'.$cu3erdesccol.'"
			/>
			<tweenIn x="'.$cu3ermarl.'" y="'.$cu3ermart.'" width="'.$cu3erpanw.'" height="'.$cu3erpanh.'" alpha="0.45" />
		</description>
		<transitions
			slicing="'.$cu3erslice.'" 
			direction="'.$cu3ersldir.'"
			duration="0.6"
			delay="0.2"
			cube_color="0xffffff"
		/>
	</settings>
  <slides>' . "\n";
for ($j = 1; $j <= 10; $j++)
{
    if ($j < 10)
    {
        $x = "0" . $j;
    } else
    {
        $x = $j;
    }
    $cu3er_slide_image = $params->get("cu3er_slide_image_$x");
    if (empty($cu3er_slide_image)){
    	continue;
    }
    $cu3er_slide_target = $params->get("cu3er_slide_target_$x");
    $cu3er_slide_link = $params->get("cu3er_slide_link_$x");
    if (!empty($cu3er_slide_link)){
    	$cu3er_link = '<link target="' . $cu3er_slide_target . '">' . $cu3er_slide_link . '</link>';
    } else {
    	$cu3er_link = '';
    }
    $cu3er_slide_heading = $params->get("cu3er_slide_heading_$x");
    if (!empty($cu3er_slide_heading)){
    	$cu3er_head = '<heading>' . $cu3er_slide_heading . '</heading>';
    } else {
    	$cu3er_head = '';
    }
    $cu3er_slide_description = $params->get("cu3er_slide_description_$x");
    if (!empty($cu3er_slide_description)){
    	$cu3er_para = '<paragraph>' . $cu3er_slide_description . '</paragraph>';
    } else {
    	$cu3er_para = '';
    }
    $cu3er_slide_trans_num = $params->get("cu3er_slide_trans_num_$x");
    $cu3er_slide_trans_slice = $params->get("cu3er_slide_trans_slice_$x");
    $cu3er_slide_trans_dir = $params->get("cu3er_slide_trans_dir_$x");
    $cu3er_slide_trans_zm = $params->get("cu3er_slide_trans_zm_$x");
    $cu3er_slide_trans_del = $params->get("cu3er_slide_trans_del_$x");
    $playlist .= '<slide>
				<url>' . $cu3er_slide_image . '</url>';
				if (!empty($cu3er_head) || !empty($cu3er_para)){
					$playlist .= '<description>
					'.$cu3er_link.'
					'.$cu3er_head.'
					'.$cu3er_para.'
				</description>';
				}
	$playlist .= '</slide>
				<transition num="' . $cu3er_slide_trans_num . '" direction="' . $cu3er_slide_trans_dir . '" slicing="' . $cu3er_slide_trans_slice . '" z_multiplier="' . $cu3er_slide_trans_zm . '" delay="' . $cu3er_slide_trans_del . '"/>' . "\n";
}
$playlist .= '
  </slides>
</cu3er>' . "\n";
$compat = '';
if (!@JFile::write($xmlfile, $playlist))
{
    printf('<div style="background-color: red;">
<center><span style="font-size: small; color: white;"><strong>Unable to create <span STYLE="color: yellow">
' . str_replace(JPATH_BASE, "", $xmlfile) . '</span> configuration file. <br/>
Please check your permissions!</strong></div>');
}
$cu3er_id = 'cu3er' . rand(1, 99999);
$xmlcfg = $realw . "modules/mod_cu3er/elements/cu3er.xml";
$cu3er_flash = $realw . 'modules/mod_cu3er/elements/cu3er.swf?' . $cu3er_id;
if ($usehtml == 'yes')
{
    $out = '<div>
	<object style="outline:none;" type="application/x-shockwave-flash" id="' . $cu3er_id . '" data="' . $cu3er_flash . '" width="' . $cu3ermainw . '" height="' . $cu3ermainh . '">
	<param name="movie" value="' . $cu3er_flash . '" />
	<param name="xml" value="' . $xmlcfg . '" />
	<param name="wmode" value="transparent" />
	<param name="base" value="' . $realw . '" />
	</object></div>';
} else
{
    $out = "<div id=\"$cu3er_id\">Please update your <a href=\"http://get.adobe.com/flashplayer/\" target=\"_blank\">Flash Player</a> to view content.</div>
	<script type=\"text/javascript\">
	var flashvars = { xml: \"$xmlcfg\", align: \"center\", showVersionInfo: \"false\"};
	var params = { quality: \"autohigh\", wmode: \"transparent\", base: \"$realw\"};
	var attributes = { style: \"outline:none;\" };
	swfobject.embedSWF(\"$cu3er_flash\", \"$cu3er_id\", \"$cu3ermainw\", \"$cu3ermainh\", \"9.0.0\", \"\", flashvars, params, attributes);
	</script>";
}
echo $out;
?>